using System;
using Animation;
using UnityEngine;
using Object = System.Object;
public class KnightController : MonoBehaviour
{
    private AnimatorManager<AnimatorParam> _mAnimator;
    
    enum MotionState
    {
        Idle,
        Walk,
        Run,
        Attack,
        Hit,
        Jump
    }
    
    enum AnimatorParam
    {
        speed,
        atk_speed,
        attack,
        run,
    }
    
    
    MotionState currentState = MotionState.Idle;
    void Start()
    {   
        _mAnimator = new AnimatorManager<AnimatorParam>(GetComponent<Animator>());
        _mAnimator.SetValue(AnimatorParam.attack, true);    
    }

    void Update()
    {
    }

    
    public void Hit()
    {
        _mAnimator.SetValue(AnimatorParam.attack, false);
        Debug.Log("Knight Hit!");
    }
    
    public void FootR()
    {
        
    }

    public void FootL()
    {
        
    }
    
}
